Skip to content
POST
/user/list-nodes
curl --request POST \
--url https://example.com/user/list-nodes \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example", "update_pipeline_warnings": false }'
Media type application/json
ListNodesRequest
object
tenant_id
required
Tenant Id
string
update_pipeline_warnings
Update Pipeline Warnings
boolean

Successful Response

Media type application/json
ListNodesResponse
object
nodes
required
Nodes
Array<object>
NodeStatus

Describes the current status of a node

This object represents both the internal connection state of the Node domain object and the result of a live connectivity check.

DEPRECATED: connected is deprecated, use lifecycle_state instead.

object
name
required
Name
string
node_id
required
Node Id
string
create_date_time
required
Create Date Time
string
destroy_date_time
required
Any of:
string
last_known_version
required
Any of:
string
last_known_features
required
Last Known Features
Array<string>
demo
required
Demo
boolean
ephemeral
Ephemeral
boolean
connected
required
Connected

DEPRECATED: Use lifecycle_state field instead

boolean
lifecycle_state
required
NodeLifecycleState
string
Allowed values: created connected disconnected
has_failed_pipelines
required
Has Failed Pipelines
boolean
Example
{
"nodes": [
{
"ephemeral": false,
"lifecycle_state": "created"
}
]
}

{"detail": "Invalid API Key"} {"detail": "Not permitted to access this tenant"}

{"detail": "Tenant not found"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}